Package: groovy.org.codenarc.rule.exceptions

## [Groovy] Class CommonThrowAstVisitor

- groovy.org.codenarc.rule.exceptions.CommonThrowAstVisitor

- AstVisitor implementation that checks for throwing one of the exception type names specified in the constructor

  This is an internal class and its API is subject to change.
  Authors:
    Chris Mair

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CommonThrowAstVisitor (List exceptionTypeNames)` Construct a new instance, specifying the exception type names

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitThrowStatement(org.codehaus.groovy.ast.stmt.ThrowStatement throwStatement)`

- - ### Constructor Detail

    - #### CommonThrowAstVisitor(List exceptionTypeNames)

      Construct a new instance, specifying the exception type names

      Parameters:
        `exceptionTypeNames` - - the names of the exception class; typically including class name with and without package

  - ### Method Detail

    - #### void visitThrowStatement(org.codehaus.groovy.ast.stmt.ThrowStatement throwStatement)